Kerbal Space Program - Feedback #15879

Like Target, Prograde, Retrograde, Normal etc, what about solar panels orientation to the sun?
Description

Its an interesting idea, the movable solar panels try to orientate to the sun, what about being able to orientate the entire craft so that
the majority of its solar panels are facing the sun?

Sounds easy but | bet it isnt considering that solar panels could be placed anywhere.
Or it could be set to ones in symmetry only, yet symmetry can be broken by rerooting
Its worth a discussion maybe...

or something to add to the expansion

History

#1 - 09/01/2017 12:56 PM - bewing

Well, you can target the Sun and then lock the ship to SAS target mode. That would get your nose pointed at the sun, which should give you
maximum solar panel irradiation if you have radial mounted tracking solar panels. If your panels are fixed or in some odd orientation, | can't imagine
how the game could figure out what would be an optimal orientation. Sounds mathematically impossible to me.

#2 - 09/02/2017 05:12 AM - Anth12

Nice, good point on targeting the sun, though it cant do it continually of course. because the craft wont change its orientation while its not active.
Agreed optimal orientation sounds like a pretty difficult thing to figure out with the many points solar panels could be attached depending on the
complexity of the craft.

| just remember one time | had my ship heading to duna and it ran out of electical charge because the fixed solar panels werent facing the sun
Still extendable solar panels do orientate to the sun well enough usually anyway by themselves if enough are on the craft, | usually have 2 or 4 of
them

#3 - 10/05/2017 03:52 PM - Squelch

- Project changed from KSP Pre-Release to Kerbal Space Program
- Category changed from Physics to Physics

- Version changed from Build 01836 to 1.3.0

This is great feedback, but a feature that would need considering before implementing and not within 1.3.1 scope. Moved to main tracker
